Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jboss.portal.common.p3p
Enum P3PConstants.OnlineInfo

    java.lang.Object
      java.lang.Enum<P3PConstants.OnlineInfo>
          org.jboss.portal.common.p3p.P3PConstants.OnlineInfo

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<P3PConstants.OnlineInfo>

Enclosing class:
  P3PConstants

    public static enum P3PConstants.OnlineInfo

extends java.lang.Enum<P3PConstants.OnlineInfo>

Enum Constant Summary
`EMAIL`
`URI`

Method Summary
`java.lang.String` | `getName()`
`static P3PConstants.OnlineInfo` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static P3PConstants.OnlineInfo[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### EMAIL

    public static final P3PConstants.OnlineInfo EMAIL

### URI

    public static final P3PConstants.OnlineInfo URI

Method Detail

### values

    public static final P3PConstants.OnlineInfo[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(P3PConstants.OnlineInfo c : P3PConstants.OnlineInfo.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static P3PConstants.OnlineInfo valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### getName

    public java.lang.String getName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008. All Rights Reserved.